Skip to content
Browse files

update to delayed_job 3.0

- 0.3.9
  • Loading branch information...
1 parent dbd7820 commit 2aa9200f62b9803785ee245a960787ae2bc6e55d @lslezak lslezak committed Jun 6, 2012
View
3 webyast/Gemfile
@@ -16,7 +16,8 @@ gem 'haml'
# SLES-11 contains ruby-dbus.rpm, while newer openSUSE distros have rubygem-ruby-dbus.rpm
# don't try loading the gem if there is plain ruby DBus library
gem "ruby-dbus" unless File.exists?("/usr/lib64/ruby/vendor_ruby/1.8/dbus.rb") || File.exists?("/usr/lib/ruby/vendor_ruby/1.8/dbus.rb")
-gem 'delayed_job', '2.1.4'
+gem 'delayed_job', '~> 3.0.2'
+gem 'delayed_job_active_record'
gem 'nokogiri'
gem "fast_gettext", '>= 0.6.4'
View
11 webyast/db/migrate/20120606095802_add_queue_to_delayed_jobs.rb
@@ -0,0 +1,11 @@
+# adds "queue" column - needed to upgrade to DelayedJob 3.x
+
+class AddQueueToDelayedJobs < ActiveRecord::Migration
+ def self.up
+ add_column :delayed_jobs, :queue, :string
+ end
+
+ def self.down
+ remove_column :delayed_jobs, :queue
+ end
+end
View
3 webyast/db/schema.rb
@@ -10,7 +10,7 @@
#
# It's strongly recommended to check this file into your version control system.
-ActiveRecord::Schema.define(:version => 20111115091940) do
+ActiveRecord::Schema.define(:version => 20120606095802) do
create_table "accounts", :force => true do |t|
t.string "username"
@@ -47,6 +47,7 @@
t.string "locked_by"
t.datetime "created_at"
t.datetime "updated_at"
+ t.string "queue"
end
add_index "delayed_jobs", ["locked_by"], :name => "index_delayed_jobs_on_locked_by"
View
6 webyast/package/webyast-base.changes
@@ -1,4 +1,10 @@
-------------------------------------------------------------------
+Wed Jun 6 12:07:35 UTC 2012 - lslezak@suse.cz
+
+- update to delayed_job 3.0
+- 0.3.9
+
+-------------------------------------------------------------------
Mon Jun 4 15:18:57 UTC 2012 - lslezak@suse.cz
- reload firewall after modifying /etc/sysconfig/SuSEfirewall2
View
6 webyast/package/webyast-base.spec
@@ -10,7 +10,7 @@
Name: webyast-base
-Version: 0.3.8
+Version: 0.3.9
Release: 0
Provides: yast2-webservice = %{version}
Obsoletes: yast2-webservice < %{version}
@@ -109,7 +109,7 @@ BuildRequires: rubygem-haml, rubygem-nokogiri, rubygem-builder-3_0
BuildRequires: nginx >= 1.0
BuildRequires: rubygem-bundler
BuildRequires: rubygem-devise, rubygem-devise_unix2_chkpwd_authenticatable, rubygem-devise-i18n
-BuildRequires: rubygem-cancan, rubygem-delayed_job
+BuildRequires: rubygem-cancan, rubygem-delayed_job-3_0, rubygem-delayed_job_active_record
BuildRequires: rubygem-gettext, rubygem-ruby_parser, rubygem-inifile
@@ -119,7 +119,7 @@ Requires: rubygem-haml, rubygem-sqlite3, rubygem-builder-3_0
Requires: rubygem-fast_gettext, rubygem-gettext_i18n_rails, rubygem-rails-i18n
Requires: rubygem-devise, rubygem-devise_unix2_chkpwd_authenticatable, rubygem-devise-i18n
-Requires: rubygem-cancan, rubygem-delayed_job
+Requires: rubygem-cancan, rubygem-delayed_job-3_0, rubygem-delayed_job_active_record
# This is for Hudson (build service) to setup the build env correctly

0 comments on commit 2aa9200

Please sign in to comment.
Something went wrong with that request. Please try again.